#include <stdbool.h> ///< For boolean constants

#define BUFF_SIZE 8
#define SET_MAX_SIZE 8

/// Struct for the edge
typedef struct edge {
    int u, v;
} edge_t;

/// Struct for the feedback arc set
typedef struct fb_set {
    bool valid;
    edge_t edges[SET_MAX_SIZE];
} fb_set_t;

/// Struct for the circular buffer
typedef struct buffer {
    bool terminate;
    fb_set_t sets[BUFF_SIZE];
} buffer_t;

static buffer_t *circ_buffer;
